> For the complete documentation index, see [llms.txt](https://docs.alternativepayments.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alternativepayments.io/api-reference/payouts.md).

# Payouts

## List payouts

> Get a paginated list of payouts with optional filtering

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.1.0"},"servers":[{"url":"http://public-api.alternativepayments.io"}],"security":[{"OAuth2ClientCredentials":["payouts:read"]}],"components":{"securitySchemes":{"OAuth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"read":"Read access","write":"Write access"}}}}},"schemas":{"PaginatedResponse-Payout":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Payout"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"Payout":{"properties":{"arrival_date":{"type":"string"},"created_at":{"type":"string"},"customer_id":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PayoutFee"},"type":"array"},"id":{"type":"string"},"status":{"$ref":"#/components/schemas/PayoutStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"},"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"},"HttpError":{"properties":{"code":{"type":"string"},"message":{"type":"string"},"validation_errors":{"additionalProperties":{"type":"string"},"type":"object"}},"type":"object"}}},"paths":{"/payouts":{"get":{"description":"Get a paginated list of payouts with optional filtering","operationId":"listPayouts","parameters":[{"schema":{"type":"integer","default":100},"description":"Number of items to return","in":"query","name":"limit"},{"schema":{"type":"string"},"description":"Specifies the cursor after which to start returning results. For the first page, this should be left empty. For subsequent pages, use the value of the end_cursor field from the previous response.","in":"query","name":"after"},{"schema":{"type":"string"},"description":"Specifies the cursor before which to return results. Use this to paginate backwards. For example, to load the previous page, provide the value of the start_cursor field from the last response.","in":"query","name":"before"},{"schema":{"type":"string","enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"]},"description":"Filter by payout status","in":"query","name":"status"},{"schema":{"type":"string"},"description":"Filter by customer ID","in":"query","name":"customer_id"},{"schema":{"type":"string"},"description":"Filter by invoice ID","in":"query","name":"invoice_id"},{"schema":{"type":"string"},"description":"Filter by start date (RFC3339 format)","in":"query","name":"start_date"},{"schema":{"type":"string"},"description":"Filter by end date (RFC3339 format)","in":"query","name":"end_date"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse-Payout"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpError"}}}}},"summary":"List payouts","tags":["Payouts"]}}}}
```

## Get a payout

> Get payout details by ID

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.1.0"},"servers":[{"url":"http://public-api.alternativepayments.io"}],"security":[{"OAuth2ClientCredentials":["payouts:read"]}],"components":{"securitySchemes":{"OAuth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"read":"Read access","write":"Write access"}}}}},"schemas":{"Payout":{"properties":{"arrival_date":{"type":"string"},"created_at":{"type":"string"},"customer_id":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PayoutFee"},"type":"array"},"id":{"type":"string"},"status":{"$ref":"#/components/schemas/PayoutStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"},"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"},"HttpError":{"properties":{"code":{"type":"string"},"message":{"type":"string"},"validation_errors":{"additionalProperties":{"type":"string"},"type":"object"}},"type":"object"}}},"paths":{"/payouts/{id}":{"get":{"description":"Get payout details by ID","operationId":"getPayout","parameters":[{"schema":{"type":"string"},"description":"Payout ID","in":"path","name":"id","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payout"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpError"}}}}},"summary":"Get a payout","tags":["Payouts"]}}}}
```

## Get a payout transactions

> Get payout transactions by ID

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.1.0"},"servers":[{"url":"http://public-api.alternativepayments.io"}],"security":[{"OAuth2ClientCredentials":["payouts:read"]}],"components":{"securitySchemes":{"OAuth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"read":"Read access","write":"Write access"}}}}},"schemas":{"GetTransactionsReply":{"properties":{"payout":{"$ref":"#/components/schemas/Payout"},"transactions":{"items":{"$ref":"#/components/schemas/Transaction"},"type":"array"}},"type":"object"},"Payout":{"properties":{"arrival_date":{"type":"string"},"created_at":{"type":"string"},"customer_id":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PayoutFee"},"type":"array"},"id":{"type":"string"},"status":{"$ref":"#/components/schemas/PayoutStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"},"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"},"Transaction":{"properties":{"description":{"type":"string"},"direction":{"$ref":"#/components/schemas/TransactionDirection"},"failure_reason":{"type":"string"},"id":{"type":"string"},"method":{"$ref":"#/components/schemas/TransactionMethod"},"status":{"$ref":"#/components/schemas/TransactionStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"TransactionDirection":{"enum":["credit","debit"],"type":"string"},"TransactionMethod":{"enum":["standard_ach","same_day_ach","manual","card","wire","rtp"],"type":"string"},"TransactionStatus":{"enum":["created","processing","succeeded","canceled","charged","failed","chargeback","refunded"],"type":"string"},"HttpError":{"properties":{"code":{"type":"string"},"message":{"type":"string"},"validation_errors":{"additionalProperties":{"type":"string"},"type":"object"}},"type":"object"}}},"paths":{"/payouts/{id}/transactions":{"get":{"description":"Get payout transactions by ID","operationId":"listPayoutTransactions","parameters":[{"schema":{"type":"string"},"description":"Payout ID","in":"path","name":"id","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTransactionsReply"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpError"}}}}},"summary":"Get a payout transactions","tags":["Payouts"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alternativepayments.io/api-reference/payouts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
